import axios, { fetchEventSourceFn } from '@/utils/wenku'

// AI搜索
export function aiSearch(options) {
  return fetchEventSourceFn('/api/wenku/wenchain/partner/aisearch', options)
}

// 文件上传前置
export function uploadPrepare(data) {
  return axios.post('/api/wenku/wenchain/partner/uploadprepare', data)
}

// 生成论文大纲
export function paperOutline(options) {
  return fetchEventSourceFn('/api/wenku/wenchain/partner/paperoutline', options)
}

// 大纲生成论文
export function outlineToPaper(data) {
  return axios.post('/api/wenku/wenchain/partner/outlinetopaper', data)
}

// ⽂档下载
export function download(data) {
  return axios.post('/api/wenku/wenchain/partner/download', data)
}
